%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: METAR weather reports parser for Python
Name: pymetar
Version: 0.14
Release: 7%{?dist}
License: GPLv2+
Group: Development/Libraries
URL: http://www.schwarzvogel.de/software-pymetar.shtml
Source: http://www.schwarzvogel.de/pkgs/pymetar-%{version}.tar.gz
Patch0: pymetar-0.14-install.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: python-devel
BuildArch: noarch

%description
This library downloads the weather report for a given station ID, decodes it
and provides easy access to all the data found in the report.


%prep
%setup -q
%patch0 -p1
# Convert file to UTF-8
for FILE in README; do
    iconv -f iso8859-1 -t utf-8 -o tmp ${FILE}
    touch -r ${FILE} tmp; mv -f tmp ${FILE}
done


%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install \
    -O1 --skip-build --root %{buildroot}

# Rename the simple exacutable so that we don't get ugly .py* files in PATH
%{__mv} %{buildroot}%{_bindir}/weather.py \
        %{buildroot}%{_bindir}/pyweather


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README THANKS librarydoc.txt
%{_bindir}/pyweather
%{python_sitelib}/*


%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.14-2
- Rebuild for Python 2.6

* Wed Oct  8 2008 Matthias Saou <http://freshrpms.net/> 0.14-1
- Update to 0.14.
- Include patch to remove no longer existing files from trying to be installed.

* Tue Jul 15 2008 Matthias Saou <http://freshrpms.net/> 0.13-1
- Initial RPM release.

